extern crate anyhow;

pub mod price_result;
pub mod parser;
pub mod price_checker;

use price_result::PriceResult;
use price_checker::PriceChecker;
use url::Url;
use anyhow::{Context, Result};

fn main() -> Result<()> {
	let price_checker = PriceChecker::new().context("Cannot create price checker")?;

    let price_result = price_checker.get_price(Url::parse("https://www.darty.com/nav/achat/gros_electromenager/refrigerateur-congelateur-refrigerateur-cong/refrigerateur-congelateur_bas/samsung_rb33n300nsa_ef.html")?)?;
	println!("{}", price_result);
	Ok(())
}

